PlanBuilderWorkflow
Date: 2014-06-04

org.gcube.vremanagement.resourcebroker.impl.planbuilders

## Class PlanBuilderWorkflow

- java.lang.Object
- - org.gcube.vremanagement.resourcebroker.impl.planbuilders.PlanBuilderWorkflow

-     public class PlanBuilderWorkflow
      extends java.lang.Object

  This is the core of decision planning. The plan is built up to several steps over the initial input (the PlanRequest) and the actual state (the GHNs chosen).
  Author:
    Daniele Strollo (ISTI-CNR)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlanBuilderWorkflow(PlanBuilderElem input)` Used to build a chain of `PlanBuilderTask` elements.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPlanBuilderTask(PlanBuilderTask task)`
    `PlanRequest` | `getInitialRequest()`
    `PlanBuilderElem` | `getPartialResult()` At each step it is possible to retrieve the partial result built during a `PlanBuilderTask` stage.
    `PlanBuilderElem` | `run()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PlanBuilderWorkflow

          public PlanBuilderWorkflow(PlanBuilderElem input)

      Used to build a chain of `PlanBuilderTask` elements. Given an initial representation of the plan as `PlanBuilderElem`, it passes to the internal tasks the given input.
      Parameters:
        `input` - the initial `PlanBuilderElem`.

  - ### Method Detail

    - #### addPlanBuilderTask

          public final void addPlanBuilderTask(PlanBuilderTask task)

    - #### run

          public final PlanBuilderElem run()
                                    throws PlanBuilderException

      Throws:
        `PlanBuilderException`

    - #### getPartialResult

          public final PlanBuilderElem getPartialResult()

      At each step it is possible to retrieve the partial result built during a `PlanBuilderTask` stage.
      Returns:
        the partial result of a decision making stage of a `PlanBuilderTask`.

    - #### getInitialRequest

          public final PlanRequest getInitialRequest()